GDAL

Public Attributes | List of all members
GDALRPCInfoV2 Struct Reference

Structure to store Rational Polynomial Coefficients / Rigorous Projection Model. More...

`#include <gdal.h>`

## Public Attributes
double | dfLINE_OFF
double | dfSAMP_OFF
double | dfLAT_OFF
double | dfLONG_OFF
double | dfHEIGHT_OFF
double | dfLINE_SCALE
double | dfSAMP_SCALE
double | dfLAT_SCALE
double | dfLONG_SCALE
double | dfHEIGHT_SCALE
double | adfLINE_NUM_COEFF [20]
double | adfLINE_DEN_COEFF [20]
double | adfSAMP_NUM_COEFF [20]
double | adfSAMP_DEN_COEFF [20]
double | dfMIN_LONG
double | dfMIN_LAT
double | dfMAX_LONG
double | dfMAX_LAT
double | dfERR_BIAS
double | dfERR_RAND

## Detailed Description

Structure to store Rational Polynomial Coefficients / Rigorous Projection Model.

See http://geotiff.maptools.org/rpc_prop.html

## Member Data Documentation

## ◆ adfLINE_DEN_COEFF

double GDALRPCInfoV2::adfLINE_DEN_COEFF[20]

Line Denominator Coefficients

## ◆ adfLINE_NUM_COEFF

double GDALRPCInfoV2::adfLINE_NUM_COEFF[20]

Line Numerator Coefficients

## ◆ adfSAMP_DEN_COEFF

double GDALRPCInfoV2::adfSAMP_DEN_COEFF[20]

Sample/Pixel Denominator Coefficients

## ◆ adfSAMP_NUM_COEFF

double GDALRPCInfoV2::adfSAMP_NUM_COEFF[20]

Sample/Pixel Numerator Coefficients

## ◆ dfERR_BIAS

double GDALRPCInfoV2::dfERR_BIAS

Bias error

## ◆ dfERR_RAND

double GDALRPCInfoV2::dfERR_RAND

Random error

## ◆ dfHEIGHT_OFF

double GDALRPCInfoV2::dfHEIGHT_OFF

Height offset

## ◆ dfHEIGHT_SCALE

double GDALRPCInfoV2::dfHEIGHT_SCALE

Height scale

## ◆ dfLAT_OFF

double GDALRPCInfoV2::dfLAT_OFF

Latitude offset

## ◆ dfLAT_SCALE

double GDALRPCInfoV2::dfLAT_SCALE

Latitude scale

## ◆ dfLINE_OFF

double GDALRPCInfoV2::dfLINE_OFF

Line offset

## ◆ dfLINE_SCALE

double GDALRPCInfoV2::dfLINE_SCALE

Line scale

## ◆ dfLONG_OFF

double GDALRPCInfoV2::dfLONG_OFF

Longitude offset

## ◆ dfLONG_SCALE

double GDALRPCInfoV2::dfLONG_SCALE

Longitude scale

## ◆ dfMAX_LAT

double GDALRPCInfoV2::dfMAX_LAT

Maximum latitude

## ◆ dfMAX_LONG

double GDALRPCInfoV2::dfMAX_LONG

Maximum longitude

## ◆ dfMIN_LAT

double GDALRPCInfoV2::dfMIN_LAT

Minimum latitude

## ◆ dfMIN_LONG

double GDALRPCInfoV2::dfMIN_LONG

Minimum longitude

## ◆ dfSAMP_OFF

double GDALRPCInfoV2::dfSAMP_OFF

Sample/Pixel offset

## ◆ dfSAMP_SCALE

double GDALRPCInfoV2::dfSAMP_SCALE

Sample/Pixel scale

The documentation for this struct was generated from the following file:

- gdal.h